#include <iostream>

using namespace std;

int main()
{
    long long int N;
    cin>>N;
    long long int brojevi[N];
    long long int x=0;
    long long int brojac = 0;
    for(int i =0;i<N;i++)
    {
        cin>>brojevi[i];
    }
    if(N>2)
    {
        for(int i =0;i<N;i++)
        {
            if(brojac>0)
            {
                break;
            }
            for(int j=i+1;j<N;j++)
            {
                if(brojevi[i]<=brojevi[j])
                {
                    x=brojevi[i];
                    brojevi[i] = brojevi[j];
                    brojevi[j]= x;
                    brojac++;
                }
            }
        }
    }
    if(N == 2)
    {
        x = brojevi[0];
        brojevi[0] =brojevi[1];
        brojevi[1] = x;
    }
    for(int i =0;i<N;i++)
    {
        cout<<brojevi[i]<<" ";
    }
    return 0;
}